local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.MiningRoutes(container)




local frame = AceGUI:Create("Frame")
frame:SetTitle("Mining Routes")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mining Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)




--[[ Shadowlands ]]-- 

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Shadowlands Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local SoleniumOre = AceGUI:Create("Button")
  SoleniumOre:SetText("\124cff1eff00\124Hitem:171829::::::::60:::::\124h[Solenium Ore]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Bastion")
  SoleniumOre:SetWidth(350)
  scroll:AddChild(SoleniumOre)
  SoleniumOre:SetCallback("OnClick", function() 

  core.SoleniumOreImport(container)
  
  end)

  local OxxeinOre = AceGUI:Create("Button")
  OxxeinOre:SetText("\124cff1eff00\124Hitem:171830::::::::60:::::\124h[Oxxein Ore]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Maldraxxus")
  OxxeinOre:SetWidth(350)
  scroll:AddChild(OxxeinOre)
  OxxeinOre:SetCallback("OnClick", function() 

  core.OxxeinOreImport(container)
  
  end)

  
  local PhaedrumOre = AceGUI:Create("Button")
  PhaedrumOre:SetText("\124cff1eff00\124Hitem:171831::::::::60:::::\124h[Phaedrum Ore]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Ardenweald")
  PhaedrumOre:SetWidth(350)
  scroll:AddChild(PhaedrumOre)
  PhaedrumOre:SetCallback("OnClick", function() 

  core.PhaedrumOreImport(container)
  
  end)

  
  local SinvyrOre = AceGUI:Create("Button")
  SinvyrOre:SetText("\124cff1eff00\124Hitem:171832::::::::60:::::\124h[Sinvyr Ore]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Revendreth")
  SinvyrOre:SetWidth(350)
  scroll:AddChild(SinvyrOre)
  SinvyrOre:SetCallback("OnClick", function() 

  core.SinvyrOreImport(container)
  
  end)
  
  

--[[ Battle For Azeroth ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Battle For Azeroth Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local MoneliteOre = AceGUI:Create("Button")
  MoneliteOre:SetText("\124cffffffff\124Hitem:152512::::::::60:::::\124h[Monelite Ore]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Tiragarde Sound")
  MoneliteOre:SetWidth(350)
  scroll:AddChild(MoneliteOre)
  MoneliteOre:SetCallback("OnClick", function() 

  core.MoneliteOreImport(container)
  
  end)
  
  
  local OsmeniteOre = AceGUI:Create("Button")
  OsmeniteOre:SetText("\124cffffffff\124Hitem:168185::::::::60:::::\124h[Osmenite Ore]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Nazjatar")
  OsmeniteOre:SetWidth(350)
  scroll:AddChild(OsmeniteOre)
  OsmeniteOre:SetCallback("OnClick", function() 

  core.OsmeniteOreImport(container)
  
  end)

  
--[[ Legion ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Legion Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local Felslate = AceGUI:Create("Button")
  Felslate:SetText("\124cffffffff\124Hitem:123919::::::::60:::::\124h[Felslate]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Suramar")
  Felslate:SetWidth(350)
  scroll:AddChild(Felslate)
  Felslate:SetCallback("OnClick", function() 

  core.FelslateImport(container)
  
  end)
  
  
  local LeystoneOre = AceGUI:Create("Button")
  LeystoneOre:SetText("\124cffffffff\124Hitem:123918::::::::60:::::\124h[Leystone Ore]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Azsuna")
  LeystoneOre:SetWidth(350)
  scroll:AddChild(LeystoneOre)
  LeystoneOre:SetCallback("OnClick", function() 

  core.LeystoneOreImport(container)
  
  end)
  
  
--[[ Wod ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Warlords of Dreanor Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local WODMiningRoute2 = AceGUI:Create("Button")
  WODMiningRoute2:SetText("\124cffffffff\124Hitem:109118::::::::60:::::\124h[Blackrock Ore]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Tannan Jungle")
  WODMiningRoute2:SetWidth(350)
  scroll:AddChild(WODMiningRoute2)
  WODMiningRoute2:SetCallback("OnClick", function() 


core.BlackrockImport(container)
  
  end)

--[[ Mists of Pandaria ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mists of Pandaria Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local MOPWayMiningRoute2 = AceGUI:Create("Button")
  MOPWayMiningRoute2:SetText("\124cffffffff\124Hitem:72092::::::::60:::::\124h[Ghost Iron Ore]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Valley of The Four Winds")
  MOPWayMiningRoute2:SetWidth(350)
  scroll:AddChild(MOPWayMiningRoute2)
  MOPWayMiningRoute2:SetCallback("OnClick", function() 

core.GhostIronImport(container)
  
  end)

--[[ Cataclysm ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Cataclysm Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local CataMiningRoute2 = AceGUI:Create("Button")
  CataMiningRoute2:SetText("\124cff1eff00\124Hitem:52183::::::::60:::::\124h[Pyrite Ore]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Uldum")
  CataMiningRoute2:SetWidth(350)
  scroll:AddChild(CataMiningRoute2)
  CataMiningRoute2:SetCallback("OnClick", function() 

core.PyriteImport(container)
  
  end)

--[[ Wrath of the Lich King ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Wrath of the Lich King Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local WOTLKWayRouteMining2 = AceGUI:Create("Button")
  WOTLKWayRouteMining2:SetText("\124cff1eff00\124Hitem:36910::::::::60:::::\124h[Titanium Ore]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Wintergrasp")
  WOTLKWayRouteMining2:SetWidth(350)
  scroll:AddChild(WOTLKWayRouteMining2)
  WOTLKWayRouteMining2:SetCallback("OnClick", function() 

core.TitaniumImport(container)
  
  end)
  
--[[ The Burning Crusade ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125The Burning Crusade Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local TBCMiningRoute2 = AceGUI:Create("Button")
  TBCMiningRoute2:SetText("\124cffffffff\124Hitem:23424::::::::60:::::\124h[Fel Iron Ore]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Terrokar Forest")
  TBCMiningRoute2:SetWidth(350)
  scroll:AddChild(TBCMiningRoute2)
  TBCMiningRoute2:SetCallback("OnClick", function() 

core.FelIronOreImport(container)
  
  end)
  
--[[ Vanilla ]]-- 

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Vanilla Routes:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local VanillaMiningRoute2 = AceGUI:Create("Button")
  VanillaMiningRoute2:SetText("\124cffffffff\124Hitem:10620::::::::60:::::\124h[Thorium Ore]\124h\124r".." - ".."|cff00C78CLocation:".."|cffFFC125 Silithus")
  VanillaMiningRoute2:SetWidth(350)
  scroll:AddChild(VanillaMiningRoute2)
  VanillaMiningRoute2:SetCallback("OnClick", function() 

core.ThoriumOreImport(container)
  
  end)




















end